/*
 * Class LINEAR [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1972 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1972 [] = {0xFF01,1551,1971,854,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1972 [] = {0xFF01,1971,854,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1972 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1972 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1972 [] = {0xFF01,1971,854,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1972 [] = {0xFF01,1971,854,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1972 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1972 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1972 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1972 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1972 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1972 [] = {1971,854,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1972 [] = {0xFF01,1971,854,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1972 [] = {0xFF01,1971,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1972 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1972 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1972 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1972[] = {
	{EIF_GENERIC(NULL), 8903, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1972), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1972), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1972), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1972), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1972), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1972), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1972), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1972), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1972), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1972), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1972), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1972), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1972), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1972), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8891, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8654, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8657, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1972), 8902, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1972), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8893, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8894, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1972), 8895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1972), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8898, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8901, 0xFFFFFFFF},
};
void Init1972(void)
{
	IDSC(desc_1972, 0, 1971);
	IDSC(desc_1972 + 1, 1, 1971);
	IDSC(desc_1972 + 32, 1134, 1971);
	IDSC(desc_1972 + 41, 1444, 1971);
	IDSC(desc_1972 + 50, 1534, 1971);
}


#ifdef __cplusplus
}
#endif
